import { Pipe, PipeTransform } from '@angular/core';

@Pipe({
  name: 'tradeOrderRefundStatus',
  standalone: true
})
export class TradeOrderRefundStatusPipe implements PipeTransform {

  transform(status: number): string {
    switch (status) {
      case 1:
        return '退款中';
      case 2:
        return '退款成功';
      case 3:
        return '退款失败';
      default:
        return '未知';
    }
  }

}
